--- old/usr/src/head/libzonecfg.h	Wed Oct  5 00:33:14 2016
+++ new/usr/src/head/libzonecfg.h	Wed Oct  5 00:33:14 2016
@@ -21,7 +21,6 @@
 
 /*
  * Copyright (c) 2003, 2010, Oracle and/or its affiliates. All rights reserved.
- * Copyright 2015, Joyent, Inc.
  */
 
 #ifndef _LIBZONECFG_H
@@ -120,8 +119,6 @@
 
 #define	ZONE_STATE_MAXSTRLEN	14
 
-#define	ZONE_PROP_MAXSTRLEN	1024
-
 #define	LIBZONECFG_PATH		"libzonecfg.so.1"
 
 #define	ZONE_CONFIG_ROOT	"/etc/zones"
@@ -170,11 +167,6 @@
  */
 #define	ZONE_DRY_RUN		0x01
 
-typedef enum zone_iptype {
-	ZS_SHARED,
-	ZS_EXCLUSIVE
-} zone_iptype_t;
-
 /*
  * The integer field expresses the current values on a get.
  * On a put, it represents the new values if >= 0 or "don't change" if < 0.
@@ -185,9 +177,6 @@
 	char	zone_path[MAXPATHLEN];		/* path to zone storage */
 	uuid_t	zone_uuid;			/* unique ID for zone */
 	char	zone_newname[ZONENAME_MAX];	/* for doing renames */
-	char	zone_brand[MAXNAMELEN];		/* zone's brand */
-	zone_iptype_t zone_iptype;		/* zone's IP type */
-	zoneid_t zone_did;			/* persistent debug ID */
 };
 
 typedef struct zone_dochandle *zone_dochandle_t;	/* opaque handle */
@@ -213,7 +202,7 @@
  */
 struct zone_res_attrtab {
 	char	zone_res_attr_name[MAXNAMELEN];
-	char	zone_res_attr_value[ZONE_PROP_MAXSTRLEN];
+	char	zone_res_attr_value[MAXNAMELEN];
 	struct zone_res_attrtab *zone_res_attr_next;
 };
 
@@ -291,6 +280,11 @@
 	char		*zpe_vers;
 } zone_pkg_entry_t;
 
+typedef enum zone_iptype {
+	ZS_SHARED,
+	ZS_EXCLUSIVE
+} zone_iptype_t;
+
 /*
  * Basic configuration management routines.
  */
@@ -318,7 +312,6 @@
 extern	int	zonecfg_str_to_bytes(char *, uint64_t *);
 extern	boolean_t zonecfg_valid_memlimit(char *, uint64_t *);
 extern	boolean_t zonecfg_valid_alias_limit(char *, char *, uint64_t *);
-extern	void	zonecfg_notify_create(zone_dochandle_t);
 
 /*
  * Zone name, path to zone directory, autoboot setting, pool, boot
@@ -544,7 +537,6 @@
 extern	char	*zone_state_str(zone_state_t);
 extern	int	zonecfg_get_name_by_uuid(const uuid_t, char *, size_t);
 extern	int	zonecfg_get_uuid(const char *, uuid_t);
-extern	int	zonecfg_set_uuid(const char *, const char *, const char *);
 extern	int	zonecfg_default_brand(char *, size_t);
 extern	int	zonecfg_fix_obsolete(zone_dochandle_t);
 
No differences encountered
No differences encountered
--- old/usr/src/head/zone.h	Wed Oct  5 00:33:14 2016
+++ new/usr/src/head/zone.h	Wed Oct  5 00:33:14 2016
@@ -60,7 +60,7 @@
 /* System call API */
 extern zoneid_t	zone_create(const char *, const char *,
     const struct priv_set *, const char *, size_t, const char *, size_t, int *,
-    int, int, const bslabel_t *, int, zoneid_t);
+    int, int, const bslabel_t *, int);
 extern int	zone_boot(zoneid_t);
 extern int	zone_destroy(zoneid_t);
 extern ssize_t	zone_getattr(zoneid_t, int, void *, size_t);
--- old/usr/src/lib/Makefile	Wed Oct  5 00:33:14 2016
+++ new/usr/src/lib/Makefile	Wed Oct  5 00:33:14 2016
@@ -22,12 +22,11 @@
 #
 # Copyright (c) 1989, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright (c) 2012 by Delphix. All rights reserved.
-# Copyright 2015, Joyent, Inc.
+# Copyright (c) 2012, Joyent, Inc. All rights reserved.
 # Copyright (c) 2013 Gary Mills
 # Copyright 2014 Garrett D'Amore <garrett@damore.org>
 # Copyright (c) 2015 Gary Mills
 # Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
-# Copyright 2016 Toomas Soome <tsoome@me.com>
 #
 
 include ../Makefile.master
@@ -92,7 +91,6 @@
 	libbrand	\
 	libbsdmalloc	\
 	libbsm		\
-	libbunyan	\
 	libc_db		\
 	libcfgadm	\
 	libcmd		\
@@ -119,7 +117,6 @@
 	libdscfg	\
 	libdtrace	\
 	libdtrace_jni	\
-	libdwarf	\
 	libefi		\
 	libelfsign	\
 	libeti		\
@@ -127,7 +124,6 @@
 	libexacct/demo	\
 	libfakekernel	\
 	libfcoe		\
-	libficl		\
 	libfru		\
 	libfruutils	\
 	libfsmgt	\
@@ -137,7 +133,6 @@
 	libgss		\
 	libhotplug	\
 	libidmap	\
-	libidspace	\
 	libilb		\
 	libima		\
 	libinetsvc	\
@@ -185,11 +180,9 @@
 	libraidcfg	\
 	librcm		\
 	librdc		\
-	librename	\
 	libreparse	\
 	libresolv	\
 	libresolv2	\
-	libresolv2_joy	\
 	librestart	\
 	librpcsvc	\
 	librsm		\
@@ -207,7 +200,6 @@
 	libsip		\
 	libsldap	\
 	libslp		\
-	libsmartsshd	\
 	libsmbfs	\
 	libsmbios	\
 	libsmedia	\
@@ -231,7 +223,6 @@
 	libunistat	\
 	libuuid		\
 	libuutil	\
-	libvnd		\
 	libvolmgt	\
 	libvrrpadm	\
 	libvscan	\
@@ -242,7 +233,6 @@
 	libxcurses	\
 	libxcurses2	\
 	libxnet		\
-	libzdoor	\
 	libzfs		\
 	libzfs_core	\
 	libzfs_jni	\
@@ -250,6 +240,7 @@
 	libzoneinfo	\
 	libzonestat	\
 	libzpool	\
+	lvm		\
 	madv		\
 	mpapi		\
 	mpss		\
@@ -261,6 +252,9 @@
 	pkcs11		\
 	policykit	\
 	print		\
+	pylibbe		\
+	pysolaris	\
+	pyzfs		\
 	raidcfg_plugins	\
 	rpcsec_gss	\
 	sasl_plugins	\
@@ -270,7 +264,6 @@
 	sun_fc		\
 	sun_sas		\
 	udapl		\
-	varpd		\
 	watchmalloc	\
 	$($(MACH)_SUBDIRS)
 
@@ -297,7 +290,8 @@
 #
 NOWAIT_SUBDIRS= $(SUBDIRS:.WAIT=)
 
-DCSUBDIRS =
+DCSUBDIRS =		\
+	lvm
 
 MSGSUBDIRS=		\
 	abi		\
@@ -343,7 +337,6 @@
 	libshell	\
 	libsldap	\
 	libslp		\
-	libsmartsshd	\
 	libsmbfs	\
 	libsmedia	\
 	libsum		\
@@ -355,10 +348,11 @@
 	libwanbootutil	\
 	libzfs		\
 	libzonecfg	\
-	libzdoor	\
+	lvm		\
 	madv		\
 	mpss		\
 	pam_modules	\
+	pyzfs		\
 	rpcsec_gss	\
 	$($(MACH)_MSGSUBDIRS)
 
@@ -378,7 +372,6 @@
 	libast		\
 	libbrand	\
 	libbsm		\
-	libbunyan	\
 	libc		\
 	libcmd		\
 	libcmdutils	\
@@ -395,7 +388,6 @@
 	libdhcputil	\
 	libdisasm	\
 	libdiskmgt	\
-	libdwarf	\
 	libdladm	\
 	libdll		\
 	libdlpi		\
@@ -412,7 +404,6 @@
 	libgen		\
 	libgrubmgmt	\
 	libidmap	\
-	libidspace	\
 	libilb		\
 	libima		\
 	libinetsvc	\
@@ -448,7 +439,6 @@
 	libraidcfg	\
 	librcm		\
 	librdc		\
-	librename	\
 	libreparse	\
 	librestart	\
 	librpcsvc	\
@@ -482,7 +472,6 @@
 	libumem		\
 	libunistat	\
 	libuutil	\
-	libvnd		\
 	libvolmgt	\
 	libvrrpadm	\
 	libvscan	\
@@ -495,6 +484,7 @@
 	libzfs_jni	\
 	libzoneinfo	\
 	libzonestat	\
+	lvm		\
 	mpapi		\
 	passwdutil	\
 	pkcs11		\
@@ -588,16 +578,14 @@
 gss_mechs/mech_spnego: gss_mechs/mech_krb5
 krb5:		gss_mechs/mech_krb5 libtecla libldap5
 libadt_jni:	libbsm
-libadutils:	libldap5 libresolv2
-libbe:		libzfs libinstzones libuuid libgen libdevinfo libefi libficl
+libadutils: 	libldap5 libresolv2
+libbe: 		libzfs libinstzones libuuid libgen libdevinfo libefi
 libbsm:		libinetutil libscf libsecdb libtsol
-libbunyan:	libnvpair
 libcfgadm:	libdevinfo
-libcmd:		libsum libast
+libcmd: 	libsum libast
 libcmdutils:	libavl
 libcpc:		libpctx
 libcrypt:	libgen
-libctf:		libdwarf
 libdevid:	libdevinfo
 libdevinfo:	libsec libgen
 libdhcpagent:	libdhcputil libuuid libdlpi libcontract
@@ -605,7 +593,7 @@
 libdiskmgt:	libdevid libdevinfo libadm libefi libkstat libsysevent
 $(INTEL_BLD)libdiskmgt: libfdisk
 libdladm:	libdevinfo libinetutil libscf librcm libexacct libkstat \
-		libpool varpd
+		libpool
 libdll: 	libast
 libdlpi:	libinetutil libdladm
 libds:		libsysevent
@@ -618,13 +606,11 @@
 libexacct/demo:	libexacct libproject
 libfakekernel:	libumem libcryptoutil
 libfcoe:	libdladm
-libficl:	libumem
 libfru:		libfruutils
 libfsmgt:	libkstat
 libgrubmgmt:	libdevinfo libzfs libfstyp libefi
 $(INTEL_BLD)libgrubmgmt: libfdisk
 libidmap:	libavl libuutil
-libidspace:	libumem
 libinetsvc:	libscf
 libinstzones:	libzonecfg libcontract
 libipadm:	libinetutil libdlpi libdhcpagent libdladm libsecdb
@@ -659,7 +645,6 @@
 libshell:	libast libcmd libdll libsecdb
 libsip:		libmd5
 libsldap:	libldap5 libscf
-libsmartsshd:	libc libcontract
 libsmbfs:	libkrb5 libsec libidmap pkcs11
 libsrpt:	libstmf
 libstmf:	libscf
@@ -679,7 +664,6 @@
 libvrrpadm:	libdladm libscf
 libvscan:	libscf libsecdb
 libwanboot:	libresolv2 libdevinfo libinetutil libdhcputil
-libzdoor:	libc libzonecfg libcontract
 libzfs:		libdevid libgen libuutil libadm libavl libefi libidmap \
 		libumem libtsol libzfs_core
 libzfs_jni:	libdiskmgt libzfs
@@ -691,8 +675,7 @@
 madv:		libgen
 mpapi:		libpthread libdevinfo libsysevent
 mpss:		libgen
-nsswitch:	libadutils libidmap libdns_sd libscf libldap5 libsldap \
-		libresolv2_joy
+nsswitch:	libadutils libidmap libdns_sd libscf libldap5 libsldap
 pam_modules:	libproject passwdutil smbsrv libtsnet libpam libbsm libsecdb
 passwdutil:	libsldap
 pkcs11:		libcryptoutil libgen libuuid
@@ -712,8 +695,6 @@
 sun_fc:		libdevinfo libsysevent
 sun_sas:	libdevinfo libsysevent libkstat libdevid
 udapl:		libdevinfo libdladm
-varpd:		libavl libidspace libumem libnsl libnvpair libmd5 librename \
-		libbunyan libcmdutils
 
 #
 # The reason this rule checks for the existence of the
--- old/usr/src/lib/Makefile.lib	Wed Oct  5 00:33:14 2016
+++ new/usr/src/lib/Makefile.lib	Wed Oct  5 00:33:14 2016
@@ -21,7 +21,7 @@
 # Copyright 2015 Gary Mills
 # Copyright 2015 Igor Kozhukhov <ikozhukhov@gmail.com>
 # Copyright (c) 1989, 2010, Oracle and/or its affiliates. All rights reserved.
-# Copyright (c) 2015, Joyent, Inc.
+# Copyright (c) 2014, Joyent, Inc.
 #
 #
 # Definitions common to libraries.
@@ -272,15 +272,3 @@
 # shouldn't override this - they should override $(CLOBBERFILES) instead.
 #
 CLOBBERTARGFILES= $(LIBS) $(DYNLIB) $(CLOBBERFILES)
-
-#
-# Define the default ctfdiff invocation used to check a list of types
-# supplied by a user of a library. The goal is to validate that a given
-# series of types is the same in both a 32-bit and 64-bit artifact. This
-# is only defined if we have a 64-bit build to do.
-#
-TYPECHECK_LIB32 =		$(TYPECHECK_LIB:%=$(MACH)/%)
-TYPECHECK_LIB64 =		$(TYPECHECK_LIB:%=$(MACH64)/%)
-TYPECHECK_LIST=			$(TYPELIST:%=-T %)
-$(BUILD64)TYPECHECK.lib =	$(CTFDIFF) -t -I $(TYPECHECK_LIST) $(TYPECHECK_LIB32) $(TYPECHECK_LIB64)
-TYPECHECK =			$(TYPECHECK_LIB:%=%.typecheck)
--- old/usr/src/lib/Makefile.targ	Wed Oct  5 00:33:14 2016
+++ new/usr/src/lib/Makefile.targ	Wed Oct  5 00:33:14 2016
@@ -105,9 +105,6 @@
 lintcheck: $$(SRCS)
 	$(LINT.c) $(LINTCHECKFLAGS) $(SRCS) $(LDLIBS)
 
-$(TYPECHECK): $(TYPECHECK_LIB32) $(TYPECHECK_LIB64)
-	$(TYPECHECK.lib)
-
 clobber: clean
 	-$(RM) $(CLOBBERTARGFILES)
 
No differences encountered
--- old/usr/src/lib/brand/Makefile	Wed Oct  5 00:33:15 2016
+++ new/usr/src/lib/brand/Makefile	Wed Oct  5 00:33:15 2016
@@ -33,7 +33,7 @@
 i386_SUBDIRS= lx
 i386_MSGSUBDIRS= lx
 
-SUBDIRS= shared .WAIT sn1 solaris10 ipkg labeled $($(MACH)_SUBDIRS)
+SUBDIRS= shared .WAIT sn1 solaris10 ipkg labeled lipkg $($(MACH)_SUBDIRS)
 MSGSUBDIRS= solaris10 shared $($(MACH)_MSGSUBDIRS)
 
 all :=		TARGET= all
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
--- old/usr/src/lib/brand/lx/librtld_db/common/lx_librtld_db.c	Wed Oct  5 00:33:15 2016
+++ new/usr/src/lib/brand/lx/librtld_db/common/lx_librtld_db.c	Wed Oct  5 00:33:15 2016
@@ -629,6 +629,7 @@
 	for (offs = symtab; offs < strtab; offs += sizeof (Elf32_Sym)) {
 		uint32_t p;
 
+		/* LINTED - "offs" increments always in sizeof (Elf32_Sym). */
 		sym = (Elf32_Sym *)&mem[offs];
 
 		if (sym->st_name > memsz) {
No differences encountered
No differences encountered
No differences encountered
--- old/usr/src/lib/brand/lx/lx_brand/Makefile.com	Wed Oct  5 00:33:15 2016
+++ new/usr/src/lib/brand/lx/lx_brand/Makefile.com	Wed Oct  5 00:33:15 2016
@@ -74,7 +74,7 @@
 UTSBASE	=	../../../../../uts
 
 LIBS =		$(DYNLIB)
-LDLIBS +=	-lc -lsocket -lmapmalloc -lproc -lrtld_db -lrpcsvc -lnsl
+LDLIBS +=	-lc -lsocket -lmapmalloc -lrpcsvc -lnsl
 DYNFLAGS +=	$(DYNFLAGS_$(CLASS))
 DYNFLAGS +=	$(BLOCAL) $(ZNOVERSION) -Wl,-e_start -M../common/mapfile
 CFLAGS +=	$(CCVERBOSE)
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
--- old/usr/src/lib/brand/lx/lx_init/Makefile	Wed Oct  5 00:33:19 2016
+++ new/usr/src/lib/brand/lx/lx_init/Makefile	Wed Oct  5 00:33:19 2016
@@ -44,8 +44,9 @@
 UTSBASE =	$(SRC)/uts
 
 CFLAGS +=	$(CCVERBOSE)
-CPPFLAGS +=	-D_REENTRANT -I$(UTSBASE)/common/brand/lx
+CPPFLAGS +=	-D_FILE_OFFSET_BITS=64 -D_REENTRANT -I$(UTSBASE)/common/brand/lx
 LDLIBS +=	-lzonecfg -lipadm -lsocket -linetutil -lnsl -lcmdutils -ldhcpagent
+LINTFLAGS +=	-xerroff=E_NAME_DEF_NOT_USED2
 
 .KEEP_STATE:
 
@@ -54,7 +55,7 @@
 clean:
 	$(RM) $(PROG) $(OBJS)
 
-lint: lint_PROG lint_SRCS
+lint: lint_SRCS
 
 $(PROG): $(OBJS)
 	$(LINK.c) -o $@ $(OBJS) $(LDLIBS)
--- old/usr/src/lib/brand/lx/lx_init/lxinit.c	Wed Oct  5 00:33:19 2016
+++ new/usr/src/lib/brand/lx/lx_init/lxinit.c	Wed Oct  5 00:33:19 2016
@@ -103,7 +103,7 @@
 	 * Since a non-zero exit will cause the zone to reboot, a pause here
 	 * will prevent a mis-configured zone from spinning in a reboot loop.
 	 */
-	pause();
+	(void) pause();
 	exit(1);
 	/*NOTREACHED*/
 }
@@ -202,19 +202,21 @@
 	return (-1);
 }
 
-void
+static void
 lxi_svc_start(char *name, char *path, char *fmri)
 {
 	pid_t pid;
 	int status;
-	char *const argv[] = {
-		name,
+	char *argv[] = {
+		NULL,
 		NULL
 	};
-	char *const envp[] = {
-		fmri,
+	char *envp[] = {
+		NULL,
 		NULL
 	};
+	argv[0] = name;
+	envp[0] = fmri;
 
 	pid = fork();
 	if (pid == -1) {
@@ -233,7 +235,7 @@
 		(void) snprintf(cmd, sizeof (cmd), "%s%s", zroot != NULL ?
 		    zroot : "", path);
 
-		execve(cmd, argv, envp);
+		(void) execve(cmd, argv, envp);
 
 		lxi_err("execve(%s) failed: %s", cmd, strerror(errno));
 		/* NOTREACHED */
@@ -240,9 +242,8 @@
 	}
 
 	/* parent */
-	while (wait(&status) != pid) {
-		/* EMPTY */;
-	}
+	while (wait(&status) != pid)
+		;
 
 	if (WIFEXITED(status)) {
 		if (WEXITSTATUS(status) != 0) {
@@ -494,10 +495,10 @@
     const char *gwaddr)
 {
 	int idx, len, sockfd;
-	char rtbuf[RTMBUFSZ];
+	/* For lint-happy alignment, use a uint32_t array... */
+	uint32_t rtbuf[RTMBUFSZ / sizeof (uint32_t)];
 	struct rt_msghdr *rtm = (struct rt_msghdr *)rtbuf;
-	struct sockaddr_in *dst_sin = (struct sockaddr_in *)
-	    (rtbuf + sizeof (struct rt_msghdr));
+	struct sockaddr_in *dst_sin = (struct sockaddr_in *)(rtm + 1);
 	struct sockaddr_in *gw_sin = (struct sockaddr_in *)(dst_sin + 1);
 	struct sockaddr_in *netmask_sin = (struct sockaddr_in *)(gw_sin + 1);
 
@@ -549,15 +550,15 @@
 
 	if ((len = write(sockfd, rtbuf, rtm->rtm_msglen)) < 0) {
 		lxi_warn("could not write rtmsg: %s", strerror(errno));
-		close(sockfd);
+		(void) close(sockfd);
 		return (-1);
 	} else if (len < rtm->rtm_msglen) {
 		lxi_warn("write() rtmsg incomplete");
-		close(sockfd);
+		(void) close(sockfd);
 		return (-1);
 	}
 
-	close(sockfd);
+	(void) close(sockfd);
 	return (0);
 }
 
@@ -572,56 +573,6 @@
 	(void) lxi_iface_ipv6_link_local(iface);
 }
 
-
-/*
- * This function is used when the "ips" property doesn't exist in a zone's
- * configuration. It may be an older configuration, so we should search for
- * "ip" and "netmask" and convert them into the new format.
- */
-static int
-lxi_get_old_ip(struct zone_res_attrtab *attrs, const char **ipaddrs,
-    char *cidraddr, int len)
-{
-
-	const char *netmask;
-	int prefixlen;
-	struct sockaddr_in mask_sin;
-
-	lxi_warn("Could not find \"ips\" property for zone. Looking "
-	    "for older \"ip\" and \"netmask\" properties, instead.");
-
-	if (zone_find_attr(attrs, "ip", ipaddrs) != 0) {
-		return (-1);
-	}
-
-	if (strcmp(*ipaddrs, "dhcp") == 0) {
-		return (0);
-	}
-
-	if (zone_find_attr(attrs, "netmask", &netmask) != 0) {
-		lxi_err("could not find netmask for interface");
-		/* NOTREACHED */
-	}
-
-	/* Convert the netmask to a number */
-	mask_sin.sin_family = AF_INET;
-	if (inet_pton(AF_INET, netmask, &mask_sin.sin_addr) != 1) {
-		lxi_err("invalid netmask address: %s\n",
-		    strerror(errno));
-		/* NOTREACHED */
-	}
-	prefixlen = mask2plen((struct sockaddr *)&mask_sin);
-
-	/*
-	 * Write out the IP address in the new format and use
-	 * that instead
-	 */
-	(void) snprintf(cidraddr, len, "%s/%d", *ipaddrs, prefixlen);
-
-	*ipaddrs = cidraddr;
-	return (0);
-}
-
 static void
 lxi_net_setup(zone_dochandle_t handle)
 {
@@ -634,17 +585,30 @@
 		const char *iface = lookup.zone_nwif_physical;
 		struct zone_res_attrtab *attrs = lookup.zone_nwif_attrp;
 		const char *ipaddrs, *primary, *gateway;
-		char ipaddrs_copy[MAXNAMELEN], cidraddr[BUFSIZ],
+		char ipaddrs_copy[MAXNAMELEN], /* cidraddr[BUFSIZ], */
 		    *ipaddr, *tmp, *lasts;
 		boolean_t first_ipv4_configured = B_FALSE;
 		boolean_t *ficp = &first_ipv4_configured;
+		boolean_t no_zonecfg;
 
+		/*
+		 * Regardless of whether we're configured in zonecfg(1M), or
+		 * configured by other means, make sure we plumb every
+		 * physical=<foo> for IPv4 and IPv6.
+		 */
 		lxi_net_plumb(iface);
-		if (zone_find_attr(attrs, "ips", &ipaddrs) != 0 &&
-		    lxi_get_old_ip(attrs, &ipaddrs, cidraddr, BUFSIZ) != 0) {
-			lxi_warn("Could not find a valid network configuration "
-			    "for the %s interface", iface);
-			continue;
+
+		if (zone_find_attr(attrs, "ips", &ipaddrs) != 0 /* &&
+		    lxi_get_old_ip(attrs, &ipaddrs, cidraddr, BUFSIZ) != 0*/) {
+			/*
+			 * Do not panic.  This interface has no in-zonecfg(1M)
+			 * configuration.  We keep a warning around for now.
+			 */
+			lxi_warn("Could not find zonecfg(1M) network "
+			    "configuration for the %s interface", iface);
+			no_zonecfg = B_TRUE;
+		} else {
+			no_zonecfg = B_FALSE;
 		}
 
 		if (lxi_iface_ipv6_link_local(iface) != 0) {
@@ -653,8 +617,15 @@
 		}
 
 		/*
-		 * If we're going to be doing DHCP, we have to do it first since
-		 * dhcpagent doesn't like to operate on non-zero logical
+		 * Every thing else below only happens if we have zonecfg(1M)
+		 * network configuration.
+		 */
+		if (no_zonecfg)
+			continue;
+
+		/*
+		 * If we're going to be doing DHCP, we have to do it first
+		 * since dhcpagent doesn't like to operate on non-zero logical
 		 * interfaces.
 		 */
 		if (strstr(ipaddrs, "dhcp") != NULL &&
@@ -687,7 +658,10 @@
 		if (zone_find_attr(attrs, "primary", &primary) == 0 &&
 		    strncmp(primary, "true", MAXNAMELEN) == 0 &&
 		    zone_find_attr(attrs, "gateway", &gateway) == 0) {
-			lxi_iface_gateway(iface, NULL, 0, gateway);
+			if (lxi_iface_gateway(iface, NULL, 0, gateway) != 0) {
+				lxi_err("default route on %s -> %s failed",
+				    iface, gateway);
+			}
 		}
 	}
 
@@ -832,7 +806,7 @@
 	 * treats anything else as 'other' but this is enough to make it
 	 * behave better inside a zone. See 'detect_container' in systemd.
 	 */
-	execve(cmd, argv, envp);
+	(void) execve(cmd, argv, envp);
 	e = errno;
 
 	/*
--- old/usr/src/lib/brand/lx/lx_init/pipe_stream.c	Wed Oct  5 00:33:19 2016
+++ new/usr/src/lib/brand/lx/lx_init/pipe_stream.c	Wed Oct  5 00:33:19 2016
@@ -21,7 +21,6 @@
 #include <poll.h>
 #include <errno.h>
 #include <sys/types.h>
-#include <sys/debug.h>
 #include <sys/list.h>
 
 #include "pipe_stream.h"
@@ -65,7 +64,7 @@
 	VERIFY0(close(psl->psl_port));
 
 	while (!list_is_empty(&psl->psl_pipes)) {
-		pipe_stream_fini(list_head(&psl->psl_pipes));
+		(void)pipe_stream_fini(list_head(&psl->psl_pipes));
 	}
 
 	list_destroy(&psl->psl_pipes);
--- old/usr/src/lib/brand/lx/lx_init/pipe_stream.h	Wed Oct  5 00:33:19 2016
+++ new/usr/src/lib/brand/lx/lx_init/pipe_stream.h	Wed Oct  5 00:33:19 2016
@@ -41,6 +41,13 @@
 extern boolean_t pipe_stream_loop_should_run(pipe_stream_loop_t *);
 extern int pipe_stream_loop_run(pipe_stream_loop_t *);
 
+#include <assert.h>
+/*
+ * Kernel-like macros that don't trigger lint.
+ */
+#define	VERIFY0(stmt) assert((stmt) == 0)
+#define	VERIFY(stmt) assert(stmt)
+
 #ifdef __cplusplus
 }
 #endif
--- old/usr/src/lib/brand/lx/lx_init/run_command.c	Wed Oct  5 00:33:19 2016
+++ new/usr/src/lib/brand/lx/lx_init/run_command.c	Wed Oct  5 00:33:19 2016
@@ -20,7 +20,6 @@
 #include <unistd.h>
 #include <wait.h>
 #include <sys/types.h>
-#include <sys/debug.h>
 #include <libcmdutils.h>
 
 #include "run_command.h"
@@ -118,7 +117,7 @@
 		    STDERR_FILENO));
 		closefrom(3);
 
-		execve(path, argv, envp);
+		(void) execve(path, argv, envp);
 		err(127, "exec(%s) failed", path);
 	}
 
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
--- old/usr/src/lib/brand/lx/testing/Makefile	Wed Oct  5 00:33:21 2016
+++ new/usr/src/lib/brand/lx/testing/Makefile	Wed Oct  5 00:33:21 2016
@@ -10,10 +10,10 @@
 #
 
 #
-# Copyright 2016 Joyent, Inc.
+# Copyright 2015 Joyent, Inc. All rights reserved.
 #
 
-TXTS = ltp_skiplist ltp_tests pts_ignorelist
+TXTS = ltp_skiplist ltp_tests
 
 all:
 
No differences encountered
No differences encountered
No differences encountered
--- old/usr/src/lib/brand/lx/zone/Makefile	Wed Oct  5 00:33:21 2016
+++ new/usr/src/lib/brand/lx/zone/Makefile	Wed Oct  5 00:33:21 2016
@@ -22,9 +22,10 @@
 #
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Copyright 2015 Joyent, Inc.  All rights reserved.
+# Copyright 2016 OmniTI Computer Consulting, Inc. All rights reserved.
 #
 
-PROGS =	lx_boot
+PROGS =	lx_install lx_boot
 PROGS += lx_boot_zone_redhat lx_boot_zone_ubuntu lx_boot_zone_debian
 PROGS += lx_boot_zone_busybox
 XMLDOCS =	config.xml platform.xml
No differences encountered
No differences encountered
--- old/usr/src/lib/brand/lx/zone/lx_boot_zone_busybox.ksh	Wed Oct  5 00:33:22 2016
+++ new/usr/src/lib/brand/lx/zone/lx_boot_zone_busybox.ksh	Wed Oct  5 00:33:22 2016
@@ -36,11 +36,16 @@
     keyword nojail noprefix novserver
 }
 start() {
+EOF
+# Only alter resolve.conf if we're getting info from zonecfg(1M).
+zonecfg -z $ZONENAME info attr name=resolvers | grep -q resolvers
+if [[ $? == 0 ]]; then
+    cat > $tmpfile <<EOF
     if [ ! -e /etc/resolv.conf ]; then
         echo "# AUTOMATIC ZONE CONFIG" > /etc/resolv.conf
 EOF
-zonecfg -z $ZONENAME info attr name=resolvers |
-awk '
+    zonecfg -z $ZONENAME info attr name=resolvers |
+    awk '
     {
         if ($1 == "value:") {
             nres = split($2, resolvers, ",")
@@ -52,9 +57,9 @@
                 "/etc/resolv.conf")
         }
     }
-' >> $tmpfile
-zonecfg -z $ZONENAME info attr name=dns-domain |
-awk '
+    ' >> $tmpfile
+    zonecfg -z $ZONENAME info attr name=dns-domain |
+    awk '
     {
         if ($1 == "value:") {
             dom = $2
@@ -63,15 +68,24 @@
     END {
         printf("        echo \"search %s\" >> %s\n", dom, "/etc/resolv.conf")
     }
-' >> $tmpfile
-cat >> $tmpfile <<EOF
+    ' >> $tmpfile
+    cat >> $tmpfile <<EOF
     fi
     return 0
-}
-stop() {
+    }
+EOF
+else
+    cat >> $tmpfile <<EOF
     return 0
-}
+    }
 EOF
+fi
+
+cat >> $tmpfile <<EOF
+    stop() {
+        return 0
+    }
+EOF
 fnm=$ZONEROOT/etc/init.d/networking
 if [[ -f $fnm || -h $fnm ]]; then
 	mv -f $tmpfile $fnm
--- old/usr/src/lib/brand/lx/zone/lx_boot_zone_debian.ksh	Wed Oct  5 00:33:22 2016
+++ new/usr/src/lib/brand/lx/zone/lx_boot_zone_debian.ksh	Wed Oct  5 00:33:22 2016
@@ -36,29 +36,32 @@
 safe_dir /etc/rcS.d
 safe_opt_dir /etc/selinux
 
-# Populate resolve.conf setup files
-zonecfg -z $ZONENAME info attr name=resolvers | awk '
-BEGIN {
+# Populate resolve.conf setup files IF we have resolvers information.
+zonecfg -z $ZONENAME info attr name=resolvers | grep -q resolvers
+if [[ $? == 0 ]]; then
+    zonecfg -z $ZONENAME info attr name=resolvers | awk '
+    BEGIN {
 	print("# AUTOMATIC ZONE CONFIG")
-}
-$1 == "value:" {
+    }
+    $1 == "value:" {
 	nres = split($2, resolvers, ",");
 	for (i = 1; i <= nres; i++) {
 		print("nameserver", resolvers[i]);
 	}
-}
-' > $tmpfile
-zonecfg -z $ZONENAME info attr name=dns-domain | awk '
-$1 == "value:" {
+    }
+    ' > $tmpfile
+    zonecfg -z $ZONENAME info attr name=dns-domain | awk '
+    $1 == "value:" {
 	dom = $2
-}
-END {
+    }
+    END {
 	print("search", dom);
-}
-' >> $tmpfile
-fnm=$ZONEROOT/etc/resolv.conf
-if [[ -f $fnm || -h $fnm ]]; then
+    }
+    ' >> $tmpfile
+    fnm=$ZONEROOT/etc/resolv.conf
+    if [[ -f $fnm || -h $fnm ]]; then
 	mv -f $tmpfile $fnm
+    fi
 fi
 
 # Override network configuration
--- old/usr/src/lib/brand/lx/zone/lx_boot_zone_redhat.ksh	Wed Oct  5 00:33:22 2016
+++ new/usr/src/lib/brand/lx/zone/lx_boot_zone_redhat.ksh	Wed Oct  5 00:33:22 2016
@@ -12,7 +12,7 @@
 
 #
 # Copyright 2015 Joyent, Inc.
-# Copyright 2015 OmniTI Computer Consulting, Inc. All rights reserved.
+# Copyright 2016 OmniTI Computer Consulting, Inc. All rights reserved.
 #
 
 #
@@ -57,6 +57,12 @@
     start)
     [ "\$EUID" != "0" ] && exit 4
 
+EOF
+
+# Alter resolv.conf if we're pulling resolver information from zonecfg(1M).
+zonecfg -z $ZONENAME info attr name=resolvers | grep -q resolvers
+if [[ $? == 0 ]]; then
+    cat >> $tmpfile <<EOF
     if [ ! -e /etc/resolv.conf ]; then
         if [ -h /etc/resolv.conf ]; then
             rm -f /etc/resolv.conf
@@ -63,8 +69,8 @@
         fi
         echo "# AUTOMATIC ZONE CONFIG" > /etc/resolv.conf
 EOF
-zonecfg -z $ZONENAME info attr name=resolvers |
-awk '
+    zonecfg -z $ZONENAME info attr name=resolvers |
+    awk '
     {
         if ($1 == "value:") {
             nres = split($2, resolvers, ",")
@@ -76,9 +82,9 @@
                 "/etc/resolv.conf")
         }
     }
-' >> $tmpfile
-zonecfg -z $ZONENAME info attr name=dns-domain |
-awk '
+    ' >> $tmpfile
+    zonecfg -z $ZONENAME info attr name=dns-domain |
+    awk '
     {
         if ($1 == "value:") {
             dom = $2
@@ -87,9 +93,11 @@
     END {
         printf("        echo \"search %s\" >> %s\n", dom, "/etc/resolv.conf")
     }
-' >> $tmpfile
+    ' >> $tmpfile
+    echo fi >> $tmpfile
+fi
+
 cat >> $tmpfile <<EOF
-    fi
     touch /var/lock/subsys/network
     rc=0
     ;;
--- old/usr/src/lib/brand/lx/zone/lx_boot_zone_ubuntu.ksh	Wed Oct  5 00:33:22 2016
+++ new/usr/src/lib/brand/lx/zone/lx_boot_zone_ubuntu.ksh	Wed Oct  5 00:33:22 2016
@@ -29,29 +29,32 @@
 safe_dir /etc/network/interfaces.d
 safe_dir /etc/network/interfaces.d/smartos
 
-# Populate resolve.conf setup files
-zonecfg -z $ZONENAME info attr name=resolvers | awk '
-BEGIN {
+# Populate resolve.conf setup files IF we have resolvers information.
+zonecfg -z $ZONENAME info attr name=resolvers | grep -q resolvers
+if [[ $? == 0 ]]; then
+    zonecfg -z $ZONENAME info attr name=resolvers | awk '
+    BEGIN {
 	print("# AUTOMATIC ZONE CONFIG")
-}
-$1 == "value:" {
+    }
+    $1 == "value:" {
 	nres = split($2, resolvers, ",");
 	for (i = 1; i <= nres; i++) {
 		print("nameserver", resolvers[i]);
 	}
-}
-' > $tmpfile
-zonecfg -z $ZONENAME info attr name=dns-domain | awk '
-$1 == "value:" {
+    }
+    ' > $tmpfile
+    zonecfg -z $ZONENAME info attr name=dns-domain | awk '
+    $1 == "value:" {
 	dom = $2
-}
-END {
+    }
+    END {
 	print("search", dom);
-}
-' >> $tmpfile
-fnm=$ZONEROOT/etc/resolvconf/resolv.conf.d/tail
-if [[ -f $fnm || -h $fnm || ! -e $fnm ]]; then
+    }
+    ' >> $tmpfile
+    fnm=$ZONEROOT/etc/resolvconf/resolv.conf.d/tail
+    if [[ -f $fnm || -h $fnm || ! -e $fnm ]]; then
 	mv -f $tmpfile $fnm
+    fi
 fi
 
 # Override network configuration
